## libinih 53-1ubuntu3+11.0trisquel0

=== tests/Makefile ===
DIFF := diff -u

.PHONY: all test clean

all: unittest unittest_string

unittest: parseargs.o unittest.o
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS) -linih

unittest_string: parseargs.o unittest_string.o
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS) -linih

test: test_multi.txt test_multi_max_line.txt test_single.txt \
		test_disallow_inline_comments.txt test_stop_on_first_error.txt \
		test_handler_lineno.txt test_string.txt test_heap.txt \
		test_heap_max_line.txt test_heap_realloc.txt \
		test_heap_realloc_max_line.txt test_heap_string.txt \
		test_allow_no_value.txt
	$(DIFF) baseline_multi.txt test_multi.txt
	$(DIFF) baseline_multi_max_line.txt test_multi_max_line.txt
	$(DIFF) baseline_single.txt test_single.txt
	$(DIFF) baseline_disallow_inline_comments.txt test_disallow_inline_comments.txt
	$(DIFF) baseline_stop_on_first_error.txt test_stop_on_first_error.txt
	$(DIFF) baseline_handler_lineno.txt test_handler_lineno.txt
	$(DIFF) baseline_string.txt test_string.txt
	$(DIFF) baseline_heap.txt test_heap.txt
	$(DIFF) baseline_heap_max_line.txt test_heap_max_line.txt
	$(DIFF) baseline_heap_realloc.txt test_heap_realloc.txt
	$(DIFF) baseline_heap_realloc_max_line.txt test_heap_realloc_max_line.txt
	$(DIFF) baseline_heap_string.txt test_heap_string.txt
#	$(DIFF) baseline_call_handler_on_new_section.txt test_call_handler_on_new_section.txt
	$(DIFF) baseline_allow_no_value.txt test_allow_no_value.txt

test_multi.txt: unittest
	./unittest > $@

test_multi_max_line.txt: unittest
	./unittest --ini_max_line 20 > $@

test_single.txt: unittest
	./unittest --ini_allow_multiline 0 > $@

test_disallow_inline_comments.txt: unittest
	./unittest --ini_allow_inline_comments 0 > $@

test_stop_on_first_error.txt: unittest
	./unittest --ini_stop_on_first_error 1 > $@

test_handler_lineno.txt: unittest
	./unittest --ini_handler_lineno 1 > $@

test_string.txt: unittest_string
	./unittest_string --ini_max_line 20 > $@

test_heap.txt: unittest
	./unittest --ini_use_stack 0 > $@

test_heap_max_line.txt: unittest
	./unittest --ini_use_stack 0 --ini_max_line 20 --ini_initial_alloc 20 > $@

test_heap_realloc.txt: unittest
	./unittest --ini_use_stack 0 --ini_allow_realloc 1 --ini_initial_alloc 5 > $@

test_heap_realloc_max_line.txt: unittest
	./unittest --ini_use_stack 0 --ini_max_line 20 --ini_allow_realloc 1 --ini_initial_alloc 5 > $@

test_heap_string.txt: unittest_string
	./unittest_string --ini_use_stack 0 --ini_max_line 20 --ini_initial_alloc 20 > $@

#test_call_handler_on_new_section.txt: unittest
#	./unittest --ini_call_handler_on_new_section 1 > $@

test_allow_no_value.txt: unittest
	./unittest --ini_allow_no_value 1 > $@

clean:
	rm -rf *.o unittest unittest_string test_*.txt

## libinih 40

=== debian/changelog ===
libinih (40-1) unstable; urgency=medium

  * Initial release (Closes: #876211)

 -- Yangfl <mmyangfl@gmail.com>  Thu, 28 Sep 2017 23:00:37 +0800

=== debian/control ===
Source: libinih
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Uploaders:
 Boyuan Yang <073plan@gmail.com>,
Build-Depends:
 debhelper (>= 10),
 cmake,
Standards-Version: 4.1.0
Section: libs
Homepage: https://github.com/benhoyt/inih
Vcs-Git: https://github.com/yangfl/inih.git
Vcs-Browser: https://github.com/yangfl/inih

Package: libinih-dev
Section: libdevel
Architecture: any
Depends: libinih1 (= ${binary:Version}), ${misc:Depends}
Description: simple .INI file parser (development files)
 inih (INI Not Invented Here) is a simple .INI file parser written in C.
 It's only a couple of pages of code, and it was designed to be small and
 simple, so it's good for embedded systems. It's also more or less
 compatible with Python's ConfigParser style of .INI files, including
 RFC 822-style multi-line syntax and name: value entries.
 .
 This package contains the header files.

Package: libinih1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple .INI file parser
 inih (INI Not Invented Here) is a simple .INI file parser written in C.
 It's only a couple of pages of code, and it was designed to be small and
 simple, so it's good for embedded systems. It's also more or less
 compatible with Python's ConfigParser style of .INI files, including
 RFC 822-style multi-line syntax and name: value entries.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

## libinih 41

=== debian/changelog ===
libinih (41-1) unstable; urgency=medium

  * New upstream release
  * Add runtime options to the library
  * Bump Standards-Version to 4.1.3
  * Move Vcs to Salsa platform
  * Bump debhelper compat to v11

 -- Yangfl <mmyangfl@gmail.com>  Thu, 01 Mar 2018 16:31:23 +0800

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Uploaders:
  Boyuan Yang <073plan@gmail.com>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  cmake,
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Section: libs
 Homepage: https://github.com/benhoyt/inih
-Vcs-Git: https://github.com/yangfl/inih.git
-Vcs-Browser: https://github.com/yangfl/inih
+Vcs-Git: https://salsa.debian.org/yangfl-guest/inih.git
+Vcs-Browser: https://salsa.debian.org/yangfl-guest/inih
 
 Package: libinih-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libinih1 (= ${binary:Version}), ${misc:Depends}
 Description: simple .INI file parser (development files)
  inih (INI Not Invented Here) is a simple .INI file parser written in C.
@@ -27,6 +28,7 @@
 
 Package: libinih1
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: simple .INI file parser
  inih (INI Not Invented Here) is a simple .INI file parser written in C.

## libinih 42

=== debian/changelog ===
libinih (42-1) unstable; urgency=medium

  * Team upload.
  * New upstream release r42.
  * Bump Standards-Version to 4.2.1.
  * Remove myself from uploaders.

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Aug 2018 16:42:35 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: libinih
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
-Uploaders:
- Boyuan Yang <073plan@gmail.com>,
 Build-Depends:
  debhelper (>= 11),
  cmake,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Section: libs
 Homepage: https://github.com/benhoyt/inih
 Vcs-Git: https://salsa.debian.org/yangfl-guest/inih.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -DINI_HANDLER_LINENO=1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

## libinih 44

=== debian/changelog ===
libinih (44-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat to 12

 -- Yangfl <mmyangfl@gmail.com>  Mon, 08 Jul 2019 16:37:32 +0800

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/pkg-info.mk

export VERSION := $(DEB_VERSION_UPSTREAM)


%:
	dh $@

## libinih 45

=== debian/changelog ===
libinih (45-1) unstable; urgency=medium

  * New upstream release
  * Fix wrong multiarch directory when cross building (Closes: #932067)
  * Add autopkgtest

 -- Yangfl <mmyangfl@gmail.com>  Sun, 04 Aug 2019 20:13:32 +0800

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
- debhelper (>= 11),
- cmake,
-Standards-Version: 4.2.1
+ debhelper-compat (= 12),
+Standards-Version: 4.4.0
 Section: libs
 Homepage: https://github.com/benhoyt/inih
 Vcs-Git: https://salsa.debian.org/yangfl-guest/inih.git

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,17 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-export VERSION := $(DEB_VERSION_UPSTREAM)
+export VERSION = $(DEB_VERSION_UPSTREAM)
+export MULTIARCH = $(DEB_HOST_MULTIARCH)
 
 
 %:
 	dh $@
+
+override_dh_clean:
+	dh_clean
+	rm -f libinih.so.1
+
+override_dh_auto_test:
+	ln -s libinih.so libinih.so.1
+	+$(MAKE) test CFLAGS+=-I.. LDFLAGS+="-Wl,-rpath,.. -L.."

## libinih 47

=== debian/changelog ===
libinih (47-1) unstable; urgency=medium

  * New upstream release
  * Honour DEB_BUILD_OPTIONS=nocheck (Closes: #945956)
  * Bump Standards-Version to 4.4.1
  * Add upstream metadata

 -- Yangfl <mmyangfl@gmail.com>  Mon, 16 Dec 2019 17:25:08 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
  debhelper-compat (= 12),
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Section: libs
 Homepage: https://github.com/benhoyt/inih
 Vcs-Git: https://salsa.debian.org/yangfl-guest/inih.git

=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,12 @@
 %:
 	dh $@
 
-override_dh_clean:
-	dh_clean
+override_dh_auto_clean:
+	dh_auto_clean
 	rm -f libinih.so.1
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	ln -s libinih.so libinih.so.1
+	ln -sf libinih.so libinih.so.1
 	+$(MAKE) test CFLAGS+=-I.. LDFLAGS+="-Wl,-rpath,.. -L.."
+endif

## libinih 48

=== debian/changelog ===
libinih (48-1~bpo10+1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Tue, 21 Jul 2020 16:02:29 -0400

libinih (48-1~bpo10+1) buster-backports; urgency=medium

  [ Stephan Lachnit ]
  * Non-maintainer upload
  * Rebuild for buster-backports

  [ Jonathan Carter ]
  * Add myself and Stephan as uploaders for backports

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Wed, 24 Jun 2020 21:14:47 +0200

libinih (48-1) unstable; urgency=medium

  [ Stephan Lachnit ]
  * New upstream release
  * Bump Standards-Version to 4.5.0
  * Use upstream build system (meson)
  * Include C++ version (INIReader)

 -- Yangfl <mmyangfl@gmail.com>  Tue, 03 Mar 2020 17:30:02 +0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,14 @@
 Source: libinih
 Priority: optional
-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
+Uploaders: Stephan Lachnit <stephanlachnit@protonmail.com>,
+ Jonathan Carter <jcc@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
-Standards-Version: 4.4.1
+ meson,
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/benhoyt/inih
 Vcs-Git: https://salsa.debian.org/yangfl-guest/inih.git
@@ -13,7 +18,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libinih1 (= ${binary:Version}), ${misc:Depends}
+Depends: libinih1 (= ${binary:Version}), libinireader0 (= ${binary:Version}), ${misc:Depends}
 Description: simple .INI file parser (development files)
  inih (INI Not Invented Here) is a simple .INI file parser written in C.
  It's only a couple of pages of code, and it was designed to be small and
@@ -21,7 +26,7 @@
  compatible with Python's ConfigParser style of .INI files, including
  RFC 822-style multi-line syntax and name: value entries.
  .
- This package contains the header files.
+ This package contains the header files for libinih1 and libinireader0.
 
 Package: libinih1
 Architecture: any
@@ -33,3 +38,14 @@
  simple, so it's good for embedded systems. It's also more or less
  compatible with Python's ConfigParser style of .INI files, including
  RFC 822-style multi-line syntax and name: value entries.
+
+Package: libinireader0
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: simple .INI file parser for C++
+ INIReader is a simple .INI file parser written for C++ derived from inih.
+ It's only a couple of pages of code, and it was designed to be small and
+ simple, so it's good for embedded systems. It's also more or less
+ compatible with Python's ConfigParser style of .INI files, including
+ RFC 822-style multi-line syntax and name: value entries.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export MULTIARCH = $(DEB_HOST_GNU_TYPE)


%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_clean:
	dh_auto_clean
	+$(MAKE) -C tests clean

override_dh_auto_configure:
	CFLAGS="$$CFLAGS -DINI_HANDLER_LINENO=1" dh_auto_configure

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	+$(MAKE) -C tests test CFLAGS+=-I.. LDFLAGS+="-Wl,-rpath,../obj-$(MULTIARCH) -L../obj-$(MULTIARCH)"
endif

## libinih 50

=== debian/changelog ===
libinih (50-1ubuntu4) hirsute; urgency=medium

  * Revert previous change which was not correct
  * debian/test/control: 
    - include build-essential in the depends to workaround the fact that
      the current autopkgtest setup is no pulling crossbuild-essential-i386
      when @builddeps@ is listed

 -- Sebastien Bacher <seb128@debian.org>  Fri, 26 Feb 2021 13:10:08 +0100

libinih (50-1ubuntu3) hirsute; urgency=medium

  * Fix a typo in the previous change

 -- Sebastien Bacher <seb128@debian.org>  Thu, 25 Feb 2021 16:50:27 +0100

libinih (50-1ubuntu2) hirsute; urgency=medium

  * debian/tests/unittest.sh:
    - set the CC environment to be cross-build friendly, thanks Steve

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Feb 2021 09:20:52 +0100

libinih (50-1ubuntu1) hirsute; urgency=medium

  * debian/patches/git_strncpy_error.patch:
    - Fix potential invalid access in strncpy0 issue raised during
      the MIR review

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Feb 2021 09:53:10 +0100

libinih (50-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat to 13

 -- Yangfl <mmyangfl@gmail.com>  Sun, 14 Jun 2020 14:21:53 +0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,8 @@
 Source: libinih
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
-Uploaders: Stephan Lachnit <stephanlachnit@protonmail.com>,
- Jonathan Carter <jcc@debian.org>
+Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  meson,
 Rules-Requires-Root: no
 Standards-Version: 4.5.0

## libinih 53

=== debian/changelog ===
libinih (53-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 11 Nov 2022 17:59:29 +0800

libinih (53-1) unstable; urgency=medium

  * New upstream release (Closes: #982351)
  * Add libinih1-udeb for Debian Installer (Closes: #981864)

 -- Yangfl <mmyangfl@gmail.com>  Tue, 09 Feb 2021 18:47:19 +0800

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@

execute_after_dh_auto_clean:
	-+$(MAKE) -C tests clean

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddefault_library=both \
		-Dwith_INIReader=true \
		-Ddistro_install=true

override_dh_auto_test:
	+$(MAKE) -C tests test CFLAGS+=-I.. LDFLAGS+="-Wl,-rpath,../obj-$(DEB_HOST_GNU_TYPE) -L../obj-$(DEB_HOST_GNU_TYPE)"

## libinih 53-1ubuntu3+11.0trisquel0

=== debian/changelog ===
libinih (53-1ubuntu3+11.0trisquel0) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 08 Nov 2022 02:48:30 +0000

libinih (53-1ubuntu3) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:13:00 +0100

libinih (53-1ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:16:09 +0200

libinih (53-1ubuntu1) impish; urgency=medium

  * Resynchronize on Debian, remaining changes
  * debian/tests/unittest.sh:
    - set the CC environment to be cross-build friendly
  * debian/test/control: 
    - include build-essential in the depends to workaround the fact that
      the current autopkgtest setup is no pulling crossbuild-essential-i386
      when @builddeps@ is listed

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 17 May 2021 11:18:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libinih
 Priority: optional
-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
  meson,
@@ -36,6 +37,19 @@
  compatible with Python's ConfigParser style of .INI files, including
  RFC 822-style multi-line syntax and name: value entries.
 
+Package: libinih1-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: simple .INI file parser - udeb
+ inih (INI Not Invented Here) is a simple .INI file parser written in C.
+ It's only a couple of pages of code, and it was designed to be small and
+ simple, so it's good for embedded systems.
+ .
+ This is a version for use with the Debian Installer.
+ Do not install it on a normal system.
+
 Package: libinireader0
 Architecture: any
 Multi-Arch: same

## libinih 55

=== debian/changelog ===
libinih (55-1ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:04:39 +0200

libinih (55-1ubuntu1) kinetic; urgency=medium

  * debian/test/control: 
    - include build-essential in the depends to workaround the fact that
      the current autopkgtest setup is no pulling crossbuild-essential-i386
      when @builddeps@ is listed

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Aug 2022 08:30:01 +0200

libinih (55-1) unstable; urgency=medium

  * Patch version to pkg-config file (Closes: #983231)
  * Bump Standards-Version to 4.5.1
  [ Sebastien Bacher ]
  * debian/tests/unittest.sh:
    - set the CC environment to be cross-build friendly (Closes: #983814)

 -- Yangfl <mmyangfl@gmail.com>  Wed, 15 Jun 2022 14:08:31 +0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: libinih
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
  meson,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/benhoyt/inih
 Vcs-Git: https://salsa.debian.org/yangfl-guest/inih.git

=== debian/tests/control ===
Tests: unittest.sh
Depends: @builddeps@, libinih-dev, build-essential

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?r?(\d[\d.]*)\.tar\.gz%inih-$1.tar.gz%" \
   https://github.com/benhoyt/inih/tags \
   (?:.*?/)?r?(\d[\d.]*)\.tar\.gz debian uupdate

## libinih 58

=== debian/changelog ===
libinih (58-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/control: include build-essential in the depends to workaround the
      fact that the current autopkgtest setup is no pulling
      crossbuild-essential-i386 when @builddeps@ is listed

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 18 Oct 2024 21:50:15 +0100

libinih (58-1) unstable; urgency=medium

  * New upstream release (Closes: #1070682)
  * Bump Standards-Version to 4.7.0

 -- Yangfl <mmyangfl@gmail.com>  Tue, 07 May 2024 16:56:05 +0800

libinih (57-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.2

 -- Yangfl <mmyangfl@gmail.com>  Mon, 07 Aug 2023 07:37:33 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  meson,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://github.com/benhoyt/inih
 Vcs-Git: https://salsa.debian.org/yangfl-guest/inih.git

## libinih 59

=== debian/changelog ===
libinih (59-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/control: include build-essential in the depends to workaround the
      fact that the current autopkgtest setup is no pulling
      crossbuild-essential-i386 when @builddeps@ is listed

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 20 May 2025 21:17:29 +0100

libinih (59-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.2

 -- Yangfl <mmyangfl@gmail.com>  Tue, 01 Apr 2025 09:18:46 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  meson,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/benhoyt/inih
 Vcs-Git: https://salsa.debian.org/yangfl-guest/inih.git

## libinih 61

=== debian/changelog ===
libinih (61-1) unstable; urgency=medium

  * New upstream release

 -- Yangfl <mmyangfl@gmail.com>  Tue, 19 Aug 2025 14:24:56 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: libinih
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
  meson,

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
 
-
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 export DEB_LDFLAGS_MAINT_APPEND =

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?r?(\d[\d.]*)\.tar\.gz%inih-$1.tar.gz%" \
   https://github.com/benhoyt/inih/tags \
   (?:.*?/)?r?(\d[\d.]*)\.tar\.gz
